## progsreiserfs-0.3.0.5.tar.bz2

=== debian/Makefile ===
#
.PHONY:	dummy



tidy:	dummy
	rm -f *~

=== debian/changelog ===
progsreiserfs (0.3.0.5-1) unstable; urgency=low

  * Updated to newer upstream version ... (Closes: #231304)
    - Will this work? (Closes: #244169)

  * Corrected description for progsreiserfs (Closes: #273515)

  * build process
    - Compatibility mode bumped to v4
    - Upgraded to automake1.7, improved autotools interaction
    - Updated libtool (Closes: #252587)

  * Package sponsored by Enrico Zini <enrico@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 14 Jan 2006 19:35:08 +0100

progsreiserfs (0.3.0.4-4) unstable; urgency=low

  * Adopt orphaned package. Current maintainer has resigned from Debian.
    Thanks for your work so far, Timshel; Good luck! (Closes: #249837)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 28 May 2004 22:49:13 +0200

progsreiserfs (0.3.0.4-3) unstable; urgency=low

  * Re-apply patch fs-args-fix to accept dummy -a and -y opts, it got lost
    in the dpatch-ification of progsreiserfs (closes: #237718)
  * Re-apply patch  to link to the local libdal, which means libreiserfs should
    now build again properly. (closes: #237709)

 -- Timshel Knoll-Miller <timshel@debian.org>  Mon, 15 Mar 2004 08:33:26 +1100

progsreiserfs (0.3.0.4-2) unstable; urgency=low

  * Build libreiserfs0.3-udeb for use in debian-installer.
    (Requires Build-Depends: debhelper (>= 4.2)) (closes: #236218)
  * Don't have progsreiserfs Suggests: non-existent progsreiserfs-doc package.
    (closes: #182016)
  * Added mkfs-speling.dpatch to fix speling error in mkfs.reiserfs.
    (closes: #233742)
  * Update to Policy 3.6.1.
  * debian/rules: pull in new config.guess & config.sub when running "clean".

 -- Timshel Knoll-Miller <timshel@debian.org>  Wed, 10 Mar 2004 11:15:23 +1100

progsreiserfs (0.3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Timshel Knoll <timshel@debian.org>  Tue, 21 Jan 2003 00:23:49 +1100

progsreiserfs (0.3.0.3-6) unstable; urgency=low

  * Fixed more sparc compile issues
    (really really REALLY closes: #172790 - I've tested it this time!)

 -- Timshel Knoll <timshel@debian.org>  Tue, 17 Dec 2002 01:23:57 +1100

progsreiserfs (0.3.0.3-5) unstable; urgency=low

  * include/reiserfs/{hashes,key,reiserfs}.h, libreiserfs/tools.c:
    Fixed other #include's of <sys/int_types.h> on sparc!!
    (really closes: #172790)
  * debian/control.in: Standards-Version: 3.5.8
    + Always build with gcc -g

 -- Timshel Knoll <timshel@debian.org>  Mon, 16 Dec 2002 15:05:25 +1100

progsreiserfs (0.3.0.3-4) unstable; urgency=low

  * include/reiserfs/key.h: don't #include <sys/int_types.h> when building on
    sparc, it doesn't exist. #include <sys/int_types.h> (this should fix the
    build failure on sparc) (closes: #172790)

 -- Timshel Knoll <timshel@debian.org>  Fri, 13 Dec 2002 08:47:08 +1100

progsreiserfs (0.3.0.3-3) unstable; urgency=low

  * debian/control: Replace versioned Build-Depends: on automake with
                    automake1.4 (closes: #166392)

 -- Timshel Knoll <timshel@debian.org>  Thu,  7 Nov 2002 11:05:19 +1100

progsreiserfs (0.3.0.3-2) unstable; urgency=low

  * Added bogus -a and -y flags to fsck.reiserfs (closes: #161447)

 -- Timshel Knoll <timshel@debian.org>  Sat, 21 Sep 2002 15:48:12 +1000

progsreiserfs (0.3.0.3-1) unstable; urgency=low

  * Initial Release (closes: #144620).

 -- Timshel Knoll <timshel@debian.org>  Wed, 11 Sep 2002 00:37:56 +1000

=== debian/control ===
Source: progsreiserfs
Section: admin
Priority: optional
Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.0), automake1.7, uuid-dev, dpatch

Package: progsreiserfs
Architecture: any
Section: admin
Priority: extra
Depends: ${shlibs:Depends}
Conflicts: reiserfsprogs
Provides: reiserfsprogs
Description: Third-party alternative tools to manipulate ReiserFS filesystems
 progsreiserfs is a collection of tools for manipulating
 ReiserFS filesystems. There are tools to create, check,
 resize, tune and copy ReiserFS filesystems.
 .
 These tools differ from the standard Namesys ReiserFS tools
 in that they use libreiserfs to do their work.
 .
 Reiserfsprogs is the "official" implementation, created by namesys.
 Progsreiserfs is an alternate implementation. It does the same thing;
 which you use depends on your preference.

Package: libreiserfs0.3-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: progsreiserfs, libreiserfs0.3-dev, parted
Provides: libreiserfs
Replaces: libreiserfs0.3-udeb
Description: ReiserFS access and manipulation library, shared libraries
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS. This package contains the shared
 libraries for libreiserfs.  They are needed for the ReiserFS utility
 programs in the progsreiserfs package, as well as to use any other
 libreiserfs - using program (eg. the ReiserFS functionality of GNU Parted).

Package: libreiserfs0.3-udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: libc-udeb
XC-Package-Type: udeb
Description: ReiserFS access and manipulation library
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS. This package contains
 a cut-down version of the shared libraries with no
 documentation for use in the Debian installer. This gives
 ReiserFS support to Parted.

Package: libreiserfs0.3-dev
Architecture: any
Section: devel
Depends: libc6-dev, libreiserfs0.3-0 (= ${Source-Version})
Suggests: progsreiserfs (= ${Source-Version})
Conflicts: libreiserfs-dev
Replaces: libreiserfs-dev
Provides: libreiserfs-dev
Description: ReiserFS access and manipulation library - development files
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS.
 .
 This package contains the header files and static libraries
 for libreiserfs. They are needed for doing development with
 libreiserfs.

Package: libreiserfs0.3-dbg
Architecture: any
Section: devel
Priority: extra
Depends: libreiserfs0.3-0 (= ${Source-Version}), libreiserfs0.3-dev (= ${Source-Version})
Conflicts: libreiserfs-dbg
Replaces: libreiserfs-dbg
Provides: libreiserfs-dbg
Description: ReiserFS access and manipulation library - debug version
 libreiserfs is a library for ReiserFS filesystem access and
 manipulation. The primary goal is to develop a fully
 functional library which may be linked from other projects
 which need ReiserFS filesystem access. GNU Parted can
 currently use libreiserfs, other programs which may include
 GNU GRUB, Yaboot, partimage and EVMS.
 .
 This package contains the debugging static libraries for
 libreiserfs, which is needed for debugging programs linked
 with libreiserfs. The debugging libraries are installed as
 /usr/lib/libdal_g.a and /usr/lib/libreiserfs_g.a. You need
 to link specifically with them if you want to debug your
 programs.

=== debian/rules ===
#!/usr/bin/make -f
# progsreiserfs debian/rules
#
# This file is used by dpkg-buildpackage to build the progsreiserfs packages.  
# To build a package, run `dpkg-buildpackage' or `debuild' from the
# parent directory. (You may need to specify `-rfakeroot' to
# dpkg-buildpackage if you are not running it as root ...)
#
# Copyright (C) 1999, 2000, 2001, 2002  Timshel Knoll
# Licensed under the terms of the GNU General Public License
# Based (a long time ago) on parted's debian/rules, which in turn is based on
# `Sample debian/rules that uses debhelper' from dh_make,
# GNU Copyright (C) 1997 to 1999 by Joey Hess
# Copyright 2004-2006 Jose Luis Tallon
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# The name of the library package. This will be lib$(LIBPKG), so for "libreiserfs",
# this should be "reiserfs"
LIBPKG = reiserfs

# The version of the debian package, used in naming the udeb
DEBPKGVER = $(shell dpkg-parsechangelog | sed -n -e '/^Version: /{s///;p;q;}')

# The library package version, ie. version 0.2 will build package
# libparted0.2, libparted0.2-dev etc.
# When incrementing this because of a new library SONAME, add an 'a' to the
# end if there isn't already one, otherwise increment the letter that is
# already there.
# When incrementing this, also set DEPVER to the current package version.
LIBPKGVER = 0.3

# The name of the main binary package
BINPKG = progsreiserfs

# Append the LIBPKGVER to non-lib package names? This is useful when building
# packages of the development versions of parted (eg. to build a parted1.5
# package)
# BINPKGVER = $(LIBPKGVER)

# The first version of the package to build with the current LIBPKGVER
# This should be changed to the current version when LIBPKGVER is changed ...
DEPVER = 0.3.0

# This is the library's soname. The build will fail if this is wrong, since
# if the soname has changed we need to update stuff ...
LIBSONAME = 0

# This is for the version for the shared library
SHAREDLIBPKGVER = $(LIBPKGVER)-$(LIBSONAME)

# The list of sed substitutions we need to do when generating files ...
# if you put `x' in here somewhere, the substitution `s/@x@/$(x)/'
# will be done ...
SUBSTS = LIBPKGVER BINPKGVER DEPVER LIBSONAME SHAREDLIBPKGVER

# Files which are generated by this script ...
# You will probably need to change this depending on what files your package
# needs ...
GENFILES = debian/control debian/shlibs.local \
	debian/lib$(LIBPKG)$(SHAREDLIBPKGVER).files \
	debian/lib$(LIBPKG)$(LIBPKGVER)-dev.files \
	debian/lib$(LIBPKG)$(LIBPKGVER)-dev.docs


ifneq (, $(BINPKGVER))
GENFILES += debian/$(BINPKG)$(BINPKGVER).files \
	debian/$(BINPKG)$(BINPKGVER)-bf.manpages \
	debian/$(BINPKG)$(BINPKGVER)-doc.files \
	debian/$(BINPKG)$(BINPKGVER)-doc.docs \
	debian/$(BINPKG)$(BINPKGVER)-doc.postinst \
	debian/$(BINPKG)$(BINPKGVER)-doc.prerm
endif

ifeq (, $(DEB_BUILD_ARCH))
DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

ifeq (, $(DEB_BUILD_GNU_TYPE))
DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
endif

ifeq (, $(DEB_HOST_GNU_TYPE))
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
endif

ifeq (, $(ARCH))
ARCH = $(DEB_BUILD_ARCH)
endif

ifeq (, $(CFLAGS))
CFLAGS = -g
UDEB_CFLAGS = -g

ifeq (, $(findstring noopt, $(DEB_BUILD_OPTIONS)))
CFLAGS += -O2
UDEB_CFLAGS += -Os
else
CFLAGS += -O0
UDEB_CFLAGS += -O0
endif
endif

# This builds a substitution list for sed based on the SUBSTS variable
# and the variables whose names SUBSTS contains ...
SUBSTLIST = $(foreach subst, $(SUBSTS), s/@$(subst)@/$($(subst))/g;)

# Pattern rules:

# How to generate various files ...
debian/%: debian/%.in debian/rules
	sed -e '$(SUBSTLIST)' < $< > $@

# This puts the lib$(LIBPKG)* packaging files in their right places
debian/lib$(LIBPKG)$(SHAREDLIBPKGVER)%: debian/lib$(LIBPKG)%
	cp $< $@

debian/lib$(LIBPKG)$(LIBPKGVER)%: debian/lib$(LIBPKG)%
	cp $< $@

debian/$(BINPKG)$(BINPKGVER)%: debian/$(BINPKG)%
	cp $< $@

# by default, do something sane ...
default: echo-vars

echo-vars:
	@echo "Try: debian/rules [configure|build|install|binary|binary-arch|binary-indep|clean]"
	@echo "CFLAGS:		$(CFLAGS)"
	@echo "UDEB_CFLAGS:	$(UDEB_CFLAGS)"
	@echo "DEB_BUILD_ARCH:	$(DEB_BUILD_ARCH)"
	@echo "DEB_BUILD_GNU_TYPE: $(DEB_BUILD_GNU_TYPE)"
	@echo "DEB_HOST_GNU_TYPE: $(DEB_HOST_GNU_TYPE)"
	@echo "LIBSONAME:	$(LIBSONAME)"
	@echo "LIBPKGVER:	$(LIBPKGVER)"
	@echo "BINPKGVER:	$(BINPKGVER)"
	@echo "GENFILES:	$(GENFILES)"
	@echo "SUBSTLIST:	$(SUBSTLIST)"

packaging-files: $(GENFILES)

configure: patch-stamp packaging-files autotools build/configure-stamp
build/configure-stamp:
	dh_testdir
	[ -d build ] || mkdir build

ifneq (, $(findstring debug, $(DEB_BUILD_OPTIONS)))
	@echo "warning: option \`debug' in \$$DEB_BUILD_OPTIONS: building with gcc option \`-g'" >&2
endif

#	 Add here commands to configure the package.
#	 Install executables to /sbin ...
	cd build && CFLAGS="$(CFLAGS)" ../configure --prefix=/usr \
	    --sbindir=/sbin --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info --enable-shared \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

	touch $@

configure-udeb: packaging-files build-udeb/configure-stamp
build-udeb/configure-stamp:
	dh_testdir
	[ -d build-udeb ] || mkdir build-udeb

ifneq (, $(findstring debug, $(DEB_BUILD_OPTIONS)))
	@echo "warning: option \`debug' in \$$DEB_BUILD_OPTIONS: building with gcc option \`-g'" >&2
endif

#	 Add here commands to configure the package.
#	 Install executables to /sbin ...
	cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ../configure --prefix=/usr \
	    --sbindir=/sbin --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info --enable-shared \
	    --disable-static --disable-debug \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

	touch $@

configure-dbg: packaging-files build-dbg/configure-stamp
build-dbg/configure-stamp:
	dh_testdir
	[ -d build-dbg ] || mkdir build-dbg

#	 Add here commands to configure the package.
	cd build-dbg && CFLAGS="-g $(CFLAGS)" ../configure --prefix=/usr \
	    --enable-debug --disable-shared --build=$(DEB_BUILD_GNU_TYPE) \
	    --host=$(DEB_HOST_GNU_TYPE)

	touch $@

build: packaging-files configure build/build-stamp
build/build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C build

	touch $@

build-udeb: packaging-files configure-udeb build-udeb/build-stamp
build-udeb/build-stamp:
	dh_testdir

#	 Add here commands to compile the package.
#	 Don't need to build headers or doco rubbish, just the library ...
#	 Note: this assumes that the library source code is in the
#	 lib(x) directory, change this if it isn't ...
	$(MAKE) -C build-udeb/libdal
	$(MAKE) -C build-udeb/libreiserfs

	touch $@

build-dbg: packaging-files configure-dbg build-dbg/build-stamp
build-dbg/build-stamp:
	dh_testdir

#	 Add here commands to compile the package.
#	 Don't need to build headers or doco rubbish, just the library ...
#	 Note: this assumes that the library source code is in the
#	 lib(x) directory, change this if it isn't ...
	$(MAKE) -C build-dbg/libdal
	$(MAKE) -C build-dbg/libreiserfs

	touch $@

clean: unpatch packaging-files autotools
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process
	$(RM) -r build build-udeb build-dbg

	# Remove all debian/lib$(LIBPKG)*.* except for lib$(LIBPKG).*,
	# lib$(LIBPKG)-dev.* and lib$(LIBPKG)$(LIBPKGVER)*
	@for file in debian/lib$(LIBPKG)*; do \
	   file="`basename $$file`"; \
	   case "$$file" in \
	   lib$(LIBPKG).*|lib$(LIBPKG)-dev.*|lib$(LIBPKG)$(SHAREDLIBPKGVER).*| \
	   lib$(LIBPKG)$(LIBPKGVER)-dev.*|lib$(LIBPKG)$(LIBPKGVER)-dbg.*) \
	      ;; \
	   *) \
	      echo "rm -rf \"debian/$$file\""; \
	      rm -rf "debian/$$file" ;; \
	   esac; \
	done

	-$(MAKE) distclean
	$(RM) config.sub config.guess
	dh_clean


autotools:
	test -e config.sub -a -L config.sub || \
